Bug 89774 - DOCX: app.xml incorrectly storing the number of seconds rather than minutes
Summary: DOCX: app.xml incorrectly storing the number of seconds rather than minutes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.3 target:4.3.7
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2015-03-02 06:42 UTC by Yousuf Philips (jay)
Modified: 2015-12-17 04:37 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-03-02 06:42:42 UTC
When saving a .docx file /docProps/app.xml has <TotalTime> tag that is supposed to save the number of minutes a document has been edited for, but LO is saving the number of seconds in that tag.

Version: 4.5.0.0.alpha0+
Build ID: 4cf69df2f543b023f4ec3d4279c5ac11a2a819d9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-02-21_03:46:34
Comment 1 Miklos Vajna 2015-03-02 07:39:08 UTC
Confirmed.
Comment 2 Commit Notification 2015-03-02 08:25:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=302f413eec4da8c8572911d08e939186c5ac57cf

tdf#89774 oox: TotalTime is in minutes

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) 2015-03-02 08:47:41 UTC
I noted that MS Word 2010 had it as 0 if the value wasnt over a minute, so i'm hoping the fix uses floor() rather than round() when its dividing by 60.
Comment 4 Miklos Vajna 2015-03-02 20:02:58 UTC
Right, in C++, a/b is like floor(), not round() in case a and b are ints.
Comment 5 Yousuf Philips (jay) 2015-03-03 03:30:20 UTC
Thanks for the info. :D

Will this be backportable to 4.4 and 4.3?
Comment 6 Commit Notification 2015-03-13 12:36:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8106e522c4ea2ae4441ec571579a38eeb6d9af04&h=libreoffice-4-4

tdf#89774 oox: TotalTime is in minutes

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-03-26 08:27:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31433d007cce7d36897277a875c25c5b102e15aa&h=libreoffice-4-3

tdf#89774 oox: TotalTime is in minutes

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 04:37:48 UTC
Migrating Whiteboard tags to Keywords: (filter:docx)
[NinjaEdit]